Package org.apache.nutch.util.domain

## Class DomainSuffixes

- java.lang.Object
- - org.apache.nutch.util.domain.DomainSuffixes

-     public class DomainSuffixes
      extends Object

  Storage class for `DomainSuffix` objects Note: this class is singleton
  Author:
    Enis Soztutar <enis.soz.nutch@gmail.com>

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DomainSuffix` | `get​(String extension)` | Return the `DomainSuffix` object for the extension, if extension is a top level domain returned object will be an instance of `TopLevelDomain`
    `static DomainSuffixes` | `getInstance()` | Singleton instance, lazy instantination
    `boolean` | `isDomainSuffix​(String extension)` | Return whether the extension is a registered domain entry

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static DomainSuffixes getInstance()

      Singleton instance, lazy instantination
      Returns:
        returns the domain suffix instance

    - #### isDomainSuffix

          public boolean isDomainSuffix​(String extension)

      Return whether the extension is a registered domain entry
      Parameters:
        `extension` - a String extension
      Returns:
        true if input is a registered domain entry, false otherwise

    - #### get

          public DomainSuffix get​(String extension)

      Return the `DomainSuffix` object for the extension, if extension is a top level domain returned object will be an instance of `TopLevelDomain`
      Parameters:
        `extension` - of the domain
      Returns:
        `DomainSuffix`